Page 3 of 37 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 366

Thread: AMD Dropping R300-R500 Support In Catalyst Driver

  1. #21
    Join Date
    Jul 2008
    Location
    Germany
    Posts
    627

    Angry

    This make me as ATI Costumer very angry. Drop all pre R600 is ok but why not maintain a legacy Driver with basic Kernel/X-server Support ?

    I have an old R300 Card ( Radeon 9500 ) and this card dont work with the Open Source Driver ( the System freeze if i use XV or 3D )

    Quote Originally Posted by marcobrancalion View Post
    AMD people want to force us to buy newer video cards, eh?.....
    Nvidia too they relabeled the 8XXX to 9XXX.

    Quote Originally Posted by marcobrancalion View Post
    I got the message very clearly. A new nvidia card will be here soon .....
    Nvidia is not Better and nobody know how long nvidia maintain the legacy driver pack.
    Last edited by Nille; 03-05-2009 at 05:18 AM.

  2. #22
    Join Date
    Feb 2009
    Posts
    5

    Default

    If you think about it it's a very clear and logic step.

    Okay, 3D support ist still far away from being good - but in the moment, the development of the AMD FOSS drivers is more than just fast.

    With 2.6.30, all AMD cards that exist now, will be supported...

    I think it is a wise decision as AMD hasn't got any trump cards left - and the Catalyst driver is in a bad shape. Very very bad shape.

    Switching to nvidia doesn't make sense to me - the nvidia drivers are in bad shape too - and there is no line on the horizon. Nouveau is far behind the ati development I think...

    I hope of a much improved catalyst driver with version 9.4 ( otherwise I really start to hate the Catalyst Driver -.- ) ...

  3. #23
    Join Date
    Nov 2007
    Posts
    19

    Thumbs down Another angry laptop user

    Hey, what's that? I bought a T60 Thinkpad two years ago with X1300 mobility. But until last fall I was not able to use dynamic display switching in a comfortable manner! Only with the introduction of XRANDR this was useable.

    And now they discontinue my chip!!!! And the OSS drivers don't support serious powermanagement; RadeonHD which I'm using at the moment doesn't even support automatic adjustment of display brightness when unplugging power. I can forget working on battery. Thanks a lot.

    Oh man AMD/ATI, just when I was about to make friends with you again...

    If I only listened to my gut feeling and got a machine with Intel graphics. You can bet that my next laptop will definitely come with Intel. Enough is enough.

  4. #24
    Join Date
    Jan 2008
    Posts
    150

    Default

    Chill out, guys.
    I can understand that some people who still have bugs in the fglrx driver and who cannot use the open-source one can be pissed off, but I guess most people using the fglrx driver now are with pre-r600 cards are satisfied with the 9.3 release, don't they? At least, that's what seems to come out from the above comments.
    So just keep using the 9.3 release, what's the problem with that?
    The whole X chain has been given a huge overhaul the last two years and it's not finished yet. It's no surprise people have difficulties to keep drivers going along while adapting to the new architectures. In a year or so, with Gallium3D, GEM and KMS setting down, I'm sure open-source drivers will become much more stable and less buggy as they will be able to rely on more solid ground.
    I guess AMD is counting on that and thus is dropping support for older cards because they feel the opend-source driver should soon provide proper support. I may have done it reverse way, but, well...
    Last edited by rvdboom; 03-05-2009 at 05:44 AM.

  5. #25
    Join Date
    Jan 2009
    Location
    UK
    Posts
    331

    Default

    Yep, this is all a huge knee-jerk reaction.

    If AMD were retroactively removing R300 support from existing drivers, THEN you might have a case for all this complaining. 9.3 isn't suddenly going to stop existing.

  6. #26
    Join Date
    Nov 2007
    Posts
    1,353

    Default

    This is great news. FGLRX should be dropped completely, but this is a good start. besides dropping fglrx completely, which likely wont happen, the only thing left is to consolidate the DDX drivers into a single project and to get galluim3d and gem up to par.

  7. #27
    Join Date
    Jan 2008
    Location
    Have a good day.
    Posts
    678

    Default

    I generally agree with the last comments. However, I own an R300 card, which is reasonably supported by the OSS driver and for which fglrx works well (at least the versions that work, heh). I understand that people with R500s are rather pissed off if their relatively new cards don't work very well with either driver.

    The two main problems about this, as I see things, are:

    -you will not be able to upgrade the X server and kernel if you decide to keep fglrx.
    -laptop users have even less choice (if they're concerned about power management).

    In the optimistic side, there seems to be a bright future for the open source drivers, which hopefully will satisfy most of us. It also remains to be seen whether dropping support for older hardware really makes things easier for AMD developers and fglrx quality for newer cards actually improves.

    As a side thing, does anybody know why power management is rather poor in the open source drivers? Lack of man power or closed specs for those parts involved?

  8. #28

    Default

    Quote Originally Posted by yotambien View Post
    ...

    As a side thing, does anybody know why power management is rather poor in the open source drivers? Lack of man power or closed specs for those parts involved?
    lack of manpower i think. there is a branch by agd5f which has basic powerplay support:
    http://cgit.freedesktop.org/~agd5f/x...=agd-powerplay

    lack of manpower is also the reason why the opensource-drivers are far behind fglrx in terms of 3d-performance. and i doubt that this will change. i fear we will be waiting for gallium, memory-manager et al much longer then this year.

    cheers Jon

  9. #29
    Join Date
    Oct 2008
    Posts
    879

    Default

    Quote Originally Posted by Ant P. View Post
    Yep, this is all a huge knee-jerk reaction.

    If AMD were retroactively removing R300 support from existing drivers, THEN you might have a case for all this complaining. 9.3 isn't suddenly going to stop existing.
    It is not as knee jerk as you'd like to think. As that video card will still be functional after xorg-xserver 1.7 is released but the 9.3 driver will not work with it and it is doubtful the OSS drivers will provide anywhere near the performance of the blob by that time.

    Sure AMD is losing money but forcing everyone that uses their GPU's to upgrade is not the way to go about raising funds. These are the dumbass boardroom decisions that lose customers, not keep them.

  10. #30
    Join Date
    Jul 2008
    Posts
    1,718

    Default

    Quote Originally Posted by pawstar View Post
    This absolutely blows. My X1950XTX still does not work properly under Linux, I can't get a multimonitor setup going the way I need under Linux. I also have a X2400 series card for another monitor so what does that mean - now only one monitor will work with the official driver which is connected to the newer but weaker card while the rest are now dead !

    On top of that my laptop also has a X1700 which is less than two years old. Are you saying it looses support too? Less than two years. I am furious. So what, when Winblow$ 7 comes along, it won't have drivers for it as well? I can't stand Vista but XP doesn't render text & GUI correctly on my internal screen (high dpi).

    Just great, both Winblow$ and Linux won't have official support for my two main video cards.

    I had enough of AMD/ATI dragging their feet. I was thrilled when AMD decided to open up the card specs and therefore continued to support them, but the mediocre driver that I had to put up with for the last 2 years and now this is the breaking point. If I could go back, I would buy NVidia all the way as I should have.

    AMD/ATI I hope you get the message.

    Signed,
    Royally pissed off customer
    it doesn't 'loose support' The old drivers will continue to work. Or will the windows driver stiop working with the release of 9.5? No! Nobody forces you to update the drivers. And with win7 your hardware is unsupported anyway - so what are you complaining about?

    And linux? Well - the opensource activities happened for a reason. You want better opensource drivers? Then sit down on your ass and start coding.

    People like this make me sick.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •